#!/bin/bash


##################################################################################
# BEWARE TO ECHO ALL MSGS IN THIS SCRIPT TO STDERR BY ADDING  >&2 AT END OF ECHO #
#           ELSE IT WILL GO INTO THE OUTPUT DOC PRODUCED BY Tika!!!              #
##################################################################################

# To run GSTikaClient.java against tika-app-*.jar:

#GS3/gs2build/ext/tika>java -cp "`pwd`/tika-app-1.24.1.jar:build" org.greenstone.tika.GSTikaCLI --html-with-imgs /PATH/TO/inputfile.docx > outputfile.html

if [ "x$GEXT_GSTIKA" = "x" ]; then
    echo "@@@ Source the Greenstone environment setup script first" >&2
    exit -1
fi

tika_app_jar=$GEXT_GSTIKA/lib/tika-app-1.24.1.jar
builddir="$GEXT_GSTIKA/build"

if [ ! -f "$builddir/org/greenstone/tika/GSTikaCLI.class" ]; then
    echo "@@@@ First compile up org.greenstone.tika.GSTikaClient by running ./$GSDLHOME/ext/tika/makeGSTikaCLI.sh" >&2
    exit -2
fi


# These echo messages *TO STDERR* are useful in GLI:
# can see when Tika's STDERR messages per processed document start and end
echo "--------------- TIKA RUN OUTPUT -------------------" >&2

# Run it at last - output sent to std out, which is what GSTikaCLI does (so too TikaCLI)
#java -cp "$GSDLHOME/ext/tika/tika-app-1.24.1.jar:build" org.greenstone.tika.GSTikaCLI $*
java -cp "$tika_app_jar:$builddir" org.greenstone.tika.GSTikaCLI $*

echo "--------------- END TIKA -------------------" >&2
